SCANLOGS(8)

NAME
scanlogs - Summarize and rotate INN log files

SYNOPSIS
scanlogs [norotate]

DESCRIPTION
scanlogs summarizes the information recorded in the INN log files which reside in the pathlog directory set in inn.conf (see newslog(5) for further details about these log files). It is normally invoked by the news.daily(8) script which performs daily server maintenance tasks.

It invokes "ctlinnd flushlogs" to close the news and error log files, rename them to add ".old" to the file names and open fresh news and error logs; the active file is also flushed to disk, along with the history database.

By default, scanlogs rotates and cleans out the logs. It keeps up to logcycles old compressed log files in pathlog/OLD (the logcycles parameter can be set in inn.conf). scanlogs also keeps archives of the active file in this directory.

It invokes tally.control if newgroup.log or rmgroup.log exists in pathlog (see the control.log entry of newslog(5) for more information about that).

scanlogs displays the contents of errlog and news.crit, if non-empty, and runs innreport to summarize the contents of news and news.notice, and to update the unwanted.log file amongst other things (see more information about that in innreport(8)).

OPTIONS
Only one option is currently accepted:

norotate
    Using this option disables the rotating and cleaning aspect of the log processing: the logs files are only scanned for information and no contents are altered. If scanlogs is invoked more than once a day, the norotate option should be used to prevent premature log cleaning.

FILES
See newslog(5) for the list of log files processed by scanlogs.

HISTORY
Written by Landon Curt Noll <chongo@toad.com> and Rich $alz <rsalz@uunet.uu.net> for InterNetNews. Converted to POD by Julien Elie.

$Id: scanlogs.pod 8357 2009-02-27 17:56:00Z iulius $

SEE ALSO
inn.conf(5), innreport(8), news.daily(8), newslog(5), shlock(1), tally.control(8).